Subject: Re: bug#881: invoke-rc.d: Policy layer may override runlevel constraint

From: Opty <[email-masked]>
Date: Wed, 2 Apr 2025 13:54:05 +0200

On Tue, Apr 1, 2025 at 6:23 PM Mark Hindley <[email-masked]> wrote:
> Thanks for this. However, I find your report a bit terse.
>
> Do you have policy-rcd-declarative installed? If so what is usage for it? How do
> you have a permissive policy defined?

Hopefully the whole story so far:

I wanted to disable services auto(re)start on package install/upgrade
so indeed I installed policy-rcd-declarative and
policy-rcd-declarative-deny-all which worked well for subsequent
vnstat install but then log rotation stopped working due to
invoke-rc.d so I modified 'deny' in /etc/service-policy.d/99-deny.pol
to 'allow' (*) but then K-link-disabled rsyslogd unexpectedly started
after an upgrade (**) so I had to surrender for now and 'chmod -x
/usr/sbin/policy-rc.d-declarative'.

(*) Yes, I should have installed policy-rcd-declarative-allow-all
instead but what if I needed to go back again so for now I chose this
maybe a bit confusing solution.

(**) I use own sysklogd package without dependencies so I can keep
rsyslog along and experiment.

> It is worth reading https://bugs.debian.org/911290 which gives some useful
> background as to why this area is a pretty unfrequented backwater.

I went through 911290 a week ago when I was doing my research.

Regards,
Opty